Add XDG user directories to Places shortcuts in Dolphin by default
Closed, WontfixPublic

Description

What are you thoughts on including the XDG standard user directories as Places shortcuts in Dolphin? Currently some are missing by default, and I believe it would be beneficial to have them created. This makes it easier for new users to find the files they are looking for, and place them into the "correct" locations.

acrouthamel triaged this task as Wishlist priority.
ngraham assigned this task to rikmills.Feb 20 2018, 4:32 PM
ngraham added a subscriber: ngraham.

I have an upstream patch that adds this: D10245: Add more default user locations to Places model/panel

Sadly it became controversial and was derailed. I hope to get it in anyway at some point, but +1 for doing this in Kubuntu, since it wouldn't have landed in 17.12.x anyway.

tsimonq2 moved this task from Inbox to Packaging / Devel on the Kubuntu board.Mar 20 2018, 9:37 PM
ngraham closed this task as Wontfix.Apr 4 2018, 8:57 PM

On further investigation, this turned out to be a more complicated task than met the eye (aren't they all!), so we're going to tackle it upstream instead. Feel free to follow T8349: Improve Places panel usability and presentation

Once more of those are done, we could even consider cherry-picking the patches into Kubuntu.